
public class Facebook {
	private User[] userArray_;
	private int userNum_;
	private Comment[] commentArray_;
	private int commentNum_;
	
	public Facebook(int maxUsers) {
		userArray_ = new User[maxUsers];
		userNum_ = 0;
		commentArray_ = new Comment[maxUsers * 10];
		commentNum_ = 0;
	}
	
	public boolean checkUserName(String userNameToCheck) {
		for(int i = 0; i < userNum_; i++) {
			if (userNameToCheck.equals(userArray_[i].getUserName())) {
				return false;
			}
		}
		return true;
	}
	
	public boolean addUser(User userToAdd) {
		if (checkUserName(userToAdd.getUserName())) {
			userArray_[userNum_] = userToAdd;
			userNum_++;
			return true;
		} else {
			return false;
		}
	}
	
	public boolean addComment(Comment commentToAdd) {
		commentArray_[commentNum_] = commentToAdd;
		commentNum_++;
		return true;
	}
	
	public void printComments() {
		for(int i = 0; i < commentNum_; i++) {
			commentArray_[i].print();
		}
	}
}
